> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# Get Specific Envelope

GET https://agentverse.ai/v1/mailbox/{uuid}

Reference: https://docs.agentverse.ai/v-1/api-reference/mailbox/get-specific-envelope

## Request

### Path parameters

- `uuid` (string, required)

### Headers

- `authorization` (string, optional)

## Response

### 200

Successful Response

- `uuid` (string, required)
- `envelope` (Envelope, required) — Represents an envelope for message communication between agents. Attributes: version (int): The envelope version. sender (str): The sender's address. target (str): The target's address. session (UUID4): The session UUID that persists for back-and-forth dialogues between agents. schema_digest (str): The schema digest for the enclosed message. protocol_digest (str | None): The digest of the protocol associated with the message (optional). payload (str | None): The encoded message payload of the envelope (optional). expires (int | None): The expiration timestamp (optional). nonce (int | None): The nonce value (optional). signature (str | None): The envelope signature (optional).
- `received_at` (string, required)
- `expires_at` (string, required)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### Envelope

Represents an envelope for message communication between agents. Attributes: version (int): The envelope version. sender (str): The sender's address. target (str): The target's address. session (UUID4): The session UUID that persists for back-and-forth dialogues between agents. schema_digest (str): The schema digest for the enclosed message. protocol_digest (str | None): The digest of the protocol associated with the message (optional). payload (str | None): The encoded message payload of the envelope (optional). expires (int | None): The expiration timestamp (optional). nonce (int | None): The nonce value (optional). signature (str | None): The envelope signature (optional).

- `version` (integer, required)
- `sender` (string, required)
- `target` (string, required)
- `session` (string, required)
- `schema_digest` (string, required)
- `protocol_digest` (string, optional)
- `payload` (string, optional)
- `expires` (integer, optional)
- `nonce` (integer, optional)
- `signature` (string, optional)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "uuid": "foo",
  "envelope": {
    "version": 42,
    "sender": "foo",
    "target": "foo",
    "session": "foo",
    "schema_digest": "foo",
    "protocol_digest": "foo",
    "payload": "foo",
    "expires": 42,
    "nonce": 42,
    "signature": "foo"
  },
  "received_at": "foo",
  "expires_at": "foo"
}
```

**SDK Code**

```python getSpecificEnvelopeExample
import requests

url = "https://agentverse.ai/v1/mailbox/uuid"

response = requests.get(url)

print(response.json())
```

```javascript getSpecificEnvelopeExample
const url = 'https://agentverse.ai/v1/mailbox/uuid';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getSpecificEnvelopeExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v1/mailbox/uuid"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getSpecificEnvelopeExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v1/mailbox/uuid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java getSpecificEnvelopeExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agentverse.ai/v1/mailbox/uuid")
  .asString();
```

```php getSpecificEnvelopeExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agentverse.ai/v1/mailbox/uuid');

echo $response->getBody();
```

```csharp getSpecificEnvelopeExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v1/mailbox/uuid");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift getSpecificEnvelopeExample
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/mailbox/uuid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```